
Figure - Bug #117243
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110895 (New): AF-V1.0功能测试-桌面

【AF】【EVT3】【桌面】【VC1】VC1的dock栏中的应用图标位置整体上移
2023-03-30 10:29 - CD TEST-方永红

Status: CLOSED Start date: 2023-03-30

Priority: Normal Due date: 2023-04-10

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0086.C102(X102)

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304210449

Reproducibility: Every time Fixed Version: 2023-04-15

Test Type: ST Root cause: 编码问题

Description

【前置条件】

设备刚恢复出厂设置

且禁用主屏音频控制后重启

【测试步骤】（出现该现象时所做操作，非必现步骤）

1、进入任务管理器

2、点击小窗列表中的搜狗输入法

【预期结果】

2、dock栏应用显示正常

【测试结果】

2、VC1的dock栏中的应用图标位置整体上移

History

#1 - 2023-03-30 11:03 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-王宏

#2 - 2023-03-31 14:40 - CD APP-王营

- Due date set to 2023-04-10

#3 - 2023-04-06 16:07 - CD APP-王宏

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD APP-王宏 to CD TEST-方永红

■ Current conclusion

分析中

■ My analysis

加日志复测

■ Next action

等待jinkens编译结束后打包复测，复现后抓取日志继续分析

http://192.168.87.26:8080/view/Projects/view/Project-IOT/job/VerifyBuild_for_IOT_6490/308/
#4 - 2023-04-14 16:13 - CD TEST-方永红

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CD TEST-方永红 to CD APP-王宏

#5 - 2023-04-14 17:34 - CD APP-王宏

- % Done changed from 0 to 50

■ Current conclusion

已提交

■ My analysis

根据代码分析

@Override

    public void setInsets(Rect insets) {

        FrameLayout.LayoutParams lp = (FrameLayout.LayoutParams) getLayoutParams();

        DeviceProfile grid = mActivity.getDeviceProfile();

if (grid.isVerticalBarLayout()) {

            mQsb.setVisibility(View.GONE);

if (grid.isSeascape()) {

                lp.gravity = Gravity.LEFT | Gravity.CENTER_VERTICAL;

                lp.width = grid.hotseatBarSizePx + insets.left;

                lp.leftMargin = grid.hotseatMarginLeftOrRight;

            } else {

                lp.gravity = Gravity.RIGHT | Gravity.CENTER_VERTICAL;

                lp.width = grid.hotseatBarSizePx + insets.right;

                lp.rightMargin = grid.hotseatMarginLeftOrRight;

            }

            lp.topMargin =  grid.hotseatMarginTopOrBottom;

            lp.bottomMargin = grid.hotseatMarginTopOrBottom;

        } else {

            mQsb.setVisibility(View.VISIBLE);

            lp.gravity = Gravity.BOTTOM;

            lp.width = ViewGroup.LayoutParams.MATCH_PARENT;

            lp.height = (grid.isTaskbarPresent

                    ? grid.workspacePadding.bottom

                    : grid.hotseatBarSizePx)

                    + (grid.isTaskbarPresent ? grid.taskbarSize : insets.bottom);

        }

设置控件位置只在 setInsets()方法内，由于现象显示topMargin大概为0，所以推断此方法未执行，因此直接在xml布局中设置marginTop，确保一定

会设置上

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/192087

#6 - 2023-04-14 17:40 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

192087 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com
AF:Launcher:fixed hotseat display exceptionTC-RID: 0301-0205301IssueID: TS-R-BUG-117243Change-Id: I2d36c7bf212bfdf3c56940f3e7fbe205fe394244

#7 - 2023-04-14 17:43 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-04-15

- Root cause set to 编码问题

#8 - 2023-04-18 18:04 - CD TEST-方永红

4.18

17号和18号的版本均为复现

继续跟踪2个版本

#9 - 2023-04-19 19:17 - CD TEST-方永红

4.19

19号版本未复现

再跟踪一个版本

#10 - 2023-04-21 18:59 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304210449

4.21

21号DB未复现

先关闭

#11 - 2023-04-21 18:59 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

1014.txt 3.93 MB 2023-03-30 CD TEST-方永红
